Subject: Re: [Int-area] RANGER BOF - call for participation

From: Ed Jankiewicz <[email-masked]>
Date: Mon, 02 Feb 2009 12:31:52 -0500

I would be interested, assuming it does not conflict with any of my 
regular WG sessions (v6ops, 6man, behave, amongst others...)

On 1/30/2009 4:20 PM, Templin, Fred L wrote:
> A community of interest is being formed to gauge
> whether there is sufficient interest to host a BOF
> on "Routing and Addressing in Next-Generation
> EnteRprises (RANGER)" at IETF74.
>
> Please see below for proposed BOF agenda, and comment
> on the RRG and int-area lists while we wait for the
> ranger list to come up.
>
> Fred Templin
> [email-masked]
>
>
>
> Routing and Addressing in Next-Generation EnteRprises (RANGER) BOF
> ===================================================================
>
> Chairs:  TBD
>
> Reponsible AD:  TBD (INT Area; Routing Area)
>
> Mailing List:  ranger at ietf.org
> To Subscribe: https://www.ietf.org/mailman/listinfo/ranger
> Archive: http://www.ietf.org/mail-archive/web/ranger
>
> Duration:  2 hours
>
> Expected Attendance: 50
>
> Conflicts: LISP BOF, NAT66 BOF, int-area open meeting,
>            IRTF rrg meeting
>
> Summary
> =======
>
> RANGER [1] is a scalable architecture for routing and
> addressing in next-generation enterprise networks, where
> an "enterprise" [2] can be as small as a SOHO network,
> as dynamic as a Mobile Ad-hoc Network (MANET) [3] or as
> large as the global Internet itself [4]. The architecture
> is manifested through Virtual Enterprise Traversal (VET)
> [5], in which IP-in-IP encapsulation provides a virtual
> view of each enterprise as a Non-Broadcast, Multiple-
> Access (NBMA) link.
>
> RANGER is recursive, in that multiple enterprises can be
> joined together in a nested "enterprise-within-enterprise"
> fashion. In this way, the same RANGER principles that
> apply in lower levels of recursion can extend upwards
> to parent enterprises and ultimately to the core of the
> global Internet itself. Furthermore, it is also worth
> considering whether today's global Internet represents a
> limiting condition for recursion, or if other Internets
> could be manifested as "parallel universes" and joined
> together at still higher levels of recursion.
>
> The RANGER architecture is manifested through composite
> technologies including Virtual Enterprise Traversal (VET),
> the Subnetwork Encapsulation and Adaptation Layer (SEAL)
> [6], the Intra-Site Automatic Tunnel Addressing Protocol
> (ISATAP) [7], and many others. Noting that combinations
> with other technologies are also possible, the issues
> addressed either in full or in part by RANGER include:
>
> - IPv6/IPv4 coexistence and transition
> - scalable routing and addressing
> - provider-independent addressing and its
>   relation to provide-aggregated addressing
> - site mobility and multi-homing
> - ingress filtering for multi-homed sites
> - address and prefix autoconfiguration
> - border router discovery
> - router-to-router tunneling
> - neighbor discovery over tunnels
> - MTU determination for tunnels.
>
> As seen in the above list, the RANGER architecture
> provides a framework for addressing a broad range of
> problem areas that currently limit the functionality,
> growth and maturation of today's Internet. Therefore,
> it is the purpose of this BOF to discuss the formation
> of an IETF WG to produce the following work items:
>
> 1) An Informational RFC describing the RANGER architecture.
>    This document to provide a high-level overview of the
>    RANGER enterprise-within-enterprise framework, its
>    constituent technologies, and its domain of
>    applicability.
>
> 2) An RFC specification of Virtual Enterprise Traversal
>    (VET). This document to specify the inner workings of
>    IP-in-IP encapsulation and its associated mechanisms
>    within the RANGER context.
>
> 3) An RFC specification of the Subnetwork Encapsulation
>    and Adaptation Layer (SEAL). This document to specify
>    an encapsulation sublayer used to provide enhanced
>    packet identification and tunnel MTU robustness.
>
> 4) Other work items within scope as determined, e.g.,
>    by working group/BOF consensus, etc.
>
> Agenda
> ======
>
> - Administrivia (Chairs, 5 min)
>
> - Purpose of BOF (Chairs, 10 min) [see above]
>
> - Routing and Addressing in Next Generation EnteRprises
>   (RANGER) (20 min)
>
> - Virtual Enterprise Traversal (VET) (20 min)
>
> - Subnetwork Encapsulation and Adaptation Layer (SEAL)
>   (20 min)
>
> - Proposed Charter (Chairs, 10 min)
>
> - Questions/Next Steps (Chairs, 30 min)
>
>
> Documents:
> ==========
>
> [1] Templin, F., "Routing and Addressing in Next-Generation
>     EnteRprises (RANGER), 'draft-templin-ranger',
>     work-in-progress, January 2009.
>
> [2] Bound, J., et. al., "IPv6 Enterprise Network Analysis -
>     IP Layer 3 Focus", IETF RFC 4852, April 2007.
>
> [3] Corson, S., et. al., "Mobile Ad hoc Networking (MANET):
>     Routing Protocol Performance Issues and Evaluation
>     Considerations", IETF RFC 2501, January 1999.
>
> [4] IRTF Routing Research Group, http://www.irtf.org/rrg
>
> [5] Templin, F., "Virtual Enterprise Traversal (VET)",
>     'draft-templin-autoconf-dhcp', work-in-progress,
>     January 2009.
>
> [6] Templin, F., "Subnetwork Encapsulation and Adaptation
>     Layer (SEAL)", 'draft-templin-seal', work-in-progress,
>     December 2009.
>
> [7] Templin, F., et. al., "Intra-Site Automatic Tunnel
>     Addressing Protocol (ISATAP)", IETF RFC 5214, March 2008. 
> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area
>
>   

-- 
Ed Jankiewicz - SRI International
Fort Monmouth Branch Office - IPv6 Research 
Supporting DISA Standards Engineering Branch
732-389-1003 or  [email-masked] 

_______________________________________________
Int-area mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/int-area

---

From: Scott Brim <[email-masked]>
Date: Mon, 2 Feb 2009 12:38:38 -0500

If you hold it, I will come.
_______________________________________________
Int-area mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/int-area

---

From: Vince Fuller <[email-masked]>
Date: Fri, 30 Jan 2009 15:18:40 -0800

> LISP-ALT is the most frequently discussed solution to the routing
> scaling problem.  Yet it is a more recent development than APT or
> Ivip - and I think it is the most problematic of the three.

As I have explained more than once already, your timeline is simply wrong.

The base LISP spec, draft-farinacci-lisp-11.txt in its current incarnation,
was a direct result of design discussions that occurred in October, 2006,
at the IAB-sponsored Routing and Addressing Workshop in Amsterdam. The first
version of draft-farinacci-lisp appeared for select reviewers on December 1st,
2006 and was published on January 22nd, 2007.

The LISP+ALT spec, draft-fuller-lisp-alt-03.txt in its current incarnation
(and originally termed "LISP 1.5"), was a direct result of discussions at a
lunch meeting during the November, 2006 IETF plenary in San Diego. Small
group discussions occurred for several months prior to taking it to the RAM
list in June, 2007 though the first version of the draft was not published 
until November, 11th, 2007.

	--Vince

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 03 Feb 2009 09:29:42 +1300

> If you hold it, I will come.

Ditto (unless of course there is a bad clash or my travel
funding doesn't materialise).

   Brian